////////////////////
 // 由CodeGenerator创建。
 // Copyright (C) gwang (wanggangzero@qq.com), Loyalsoft@sjz Inc
 // author： gwang 
 // 日期: 2023-06-28 18:04:50
////////////////////

using System;
using Newtonsoft.Json;

/// <summary>
/// Static Modle task 任务
/// </summary>
sealed public partial class sm_task
{

    /// <summary>
    /// 任务id 
    /// </summary>
    public Int32 typeId { get; set; }

    /// <summary>
    /// [废弃2020年7月8日10:49:06]按面板查询任务: 剧情, 每日，挑战，新手, 副本。 
    /// </summary>
    public String ban { get; set; }

    /// <summary>
    /// 任务名称 
    /// </summary>
    public String name { get; set; }

    /// <summary>
    /// 前往功能模块 
    /// </summary>
    public String goto_module { get; set; }

    /// <summary>
    /// 任务描述 
    /// </summary>
    public String desc { get; set; }

    /// <summary>
    /// [废弃2020年7月8日10:49:12]任务的阶段（10,20）代表10级到20级之间会接到  (0,10)代表10级之前会接到 
    /// </summary>
    public String taskrank { get; set; }

    /// <summary>
    /// 任务类型: 
    /// </summary>
    public String tasktype { get; set; }

    /// <summary>
    /// 完成任务所需的第一个参数 
    /// </summary>
    public String canshu1 { get; set; }

    /// <summary>
    /// 完成任务所需的第二个参数 
    /// </summary>
    public String canshu2 { get; set; }

    /// <summary>
    /// 完成任务后的奖励物品id,num;id,num 
    /// </summary>
    public String reward { get; set; }

    [JsonConstructor]
    private sm_task (){ }

}

